# The "MakeDataBrowser" Widget

This widget provides a make data manager (browser) in a popup window.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

MakeDataBrowser_ResourceNames | List of resource names for MakeDataBrowser widget
MakeDataBrowser_Resources | List of resources for MakeDataBrowser widget

#### Functions

XkwMakeDataBrowserPopupAll | Popup a browser for a blinkstate.

## Tables

MakeDataBrowser_ResourceNames List of resource names for MakeDataBrowser widget

Name | Purpose
XtNx | The horizontal position to place the widget at
XtNy | The vertical position to place the widget at

MakeDataBrowser_Resources List of resources for MakeDataBrowser widget

Name | Class | Rep. Type | Default
"empty" | "Empty" | XtRInt | 0

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwMakeDataBrowserPopupAll (Widget parent)

Popup a browser for a blinkstate.

Parameters:

- bs : The blinkstate.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page